
Summary: Teapot (Table Editor And Planner), a new spreadsheet program for UNIX
Name: teapot
Version: 0.9
Release: 2
Copyright: Freely distributable, if Copyright notices are not removed, changed.
Group: Applications/Spreadsheets
Packager: John C. Peterson <jaypee@netcom.com>
Source: ftp://cantor.informatik.rwth-aachen.de/pub/unix/teapot-0.9.tar.gz
Patch: teapot-0.9-linux.patch
Buildroot: /tmp/build_root

%description
Teapot, or Table Editor And Planner, is a new spreadsheet program for
UNIX systems. It employs some rather unique and modern design concepts.
For example, three dimensional tables, iterative expressions, and
functional addressing of the cells, (unlike the traditional A0, C5 syntax
which was probably inherited from VisiCalc). Teapot spreadsheets are also
highly portable across many different architectures and operating systems,
(made possible through the use of XDR).

Teapot was written by Michael Haardt, and may be used without charge for
personal use and at work under the condition that no copyright notices
are removed or changed. To get started, see the excellent Teapot User's
Guide in the doc directory, (available in ascii, html, or postscript),
or the teapot home pages (english, german, dutch respectively):

 http://cantor.informatik.rwth-aachen.de/~michael/projects/teapot-en.html
 http://cantor.informatik.rwth-aachen.de/~michael/projects/teapot-de.html
 http://cantor.informatik.rwth-aachen.de/~michael/projects/teapot-nl.html


%prep
%setup -n teapot-0.9
%patch -p1

%build
# for German
# rm cat.h ; ln -s cat-de.88591.h cat.h
# for Dutch
# rm cat.h ; ln -s cat-nl.h cat.h
make teapot graph
cd doc
PATH=..:${PATH}
export PATH
make teapot.doc teapot.html teapot.ps
gzip -9 teapot.ps

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -m755 -s graph $RPM_BUILD_ROOT/usr/bin
install -m755 -s teapot $RPM_BUILD_ROOT/usr/bin
cp -p teapot.1.en $RPM_BUILD_ROOT/usr/man/man1/teapot.1
# cp -p teapot.1.de.88591 $RPM_BUILD_ROOT/usr/man/man1/teapot.1
# cp -p teapot.1.nl $RPM_BUILD_ROOT/usr/man/man1/teapot.1
chmod 644 $RPM_BUILD_ROOT/usr/man/man1/teapot.1

%files
%doc ANNOUNCE README-de.html README-en.html README-nl.html WARNING doc/teapot.doc doc/teapot.html doc/teapot.ps.gz examples
/usr/bin/graph
/usr/bin/teapot
/usr/man/man1/teapot.1
